Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4541)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4542)
@@ -4852,45 +4746,39 @@
                       sigma_cc = ( c_1 + c_2 * nu_c ) / ( 1.0_wp + c_3 * nu_c )
 !
-!--                   Mixing length (neglecting distance to ground and
-!--                   stratification)
+!--                   Mixing length (neglecting distance to ground and stratification)
                       l_mix = ( dx * dy * dzu(k) )**( 1.0_wp / 3.0_wp )
 !
-!--                   Limit dissipation rate according to Seifert, Nuijens and
-!--                   Stevens (2010)
+!--                   Limit dissipation rate according to Seifert, Nuijens and Stevens (2010)
                       dissipation = MIN( 0.06_wp, diss(k,j,i) )
 !
 !--                   Compute Taylor-microscale Reynolds number:
-                      re_lambda = 6.0_wp / 11.0_wp *                           &
-                                  ( l_mix / c_const )**( 2.0_wp / 3.0_wp ) *   &
-                                  SQRT( 15.0_wp / kin_vis_air ) *              &
-                                  dissipation**( 1.0_wp / 6.0_wp )
-!
-!--                   The factor of 1.0E4 is needed to convert the dissipation
-!--                   rate from m2 s-3 to cm2 s-3.
-                      k_au = k_au * ( 1.0_wp +                                 &
-                                      dissipation * 1.0E4_wp *                 &
-                                      ( re_lambda * 1.0E-3_wp )**0.25_wp *     &
-                                      ( alpha_cc * EXP( -1.0_wp * ( ( rc -     &
-                                                                      r_cc ) / &
-                                                        sigma_cc )**2          &
-                                                      ) + beta_cc              &
-                                      )                                        &
+                      re_lambda = 6.0_wp / 11.0_wp * ( l_mix / c_const )**( 2.0_wp / 3.0_wp ) *    &
+                                  SQRT( 15.0_wp / kin_vis_air ) * dissipation**( 1.0_wp / 6.0_wp )
+!
+!--                   The factor of 1.0E4 is needed to convert the dissipation rate from m2 s-3 to
+!--                   cm2 s-3.
+                      k_au = k_au * ( 1.0_wp +                                                     &
+                                      dissipation * 1.0E4_wp *                                     &
+                                      ( re_lambda * 1.0E-3_wp )**0.25_wp *                         &
+                                      ( alpha_cc * EXP( -1.0_wp * ( ( rc -                         &
+                                                                      r_cc ) /                     &
+                                                        sigma_cc )**2                              &
+                                                      ) + beta_cc                                  &
+                                      )                                                            &
                                     )
                    ENDIF
 !
 !--                Autoconversion rate (Seifert and Beheng, 2006):
-                   autocon = k_au * ( nu_c + 2.0_wp ) * ( nu_c + 4.0_wp ) /    &
-                             ( nu_c + 1.0_wp )**2 * qc(k,j,i)**2 * xc**2 *     &
-                             ( 1.0_wp + phi_au / ( 1.0_wp - tau_cloud )**2 ) * &
-                             rho_surface
+                   autocon = k_au * ( nu_c + 2.0_wp ) * ( nu_c + 4.0_wp )    /                     &
+                             ( nu_c + 1.0_wp )**2 * qc(k,j,i)**2 * xc**2     *                     &
+                             ( 1.0_wp + phi_au / ( 1.0_wp - tau_cloud )**2 ) * rho_surface
                    autocon = MIN( autocon, qc(k,j,i) / dt_micro )
 
                    qr(k,j,i) = qr(k,j,i) + autocon * dt_micro * flag
                    qc(k,j,i) = qc(k,j,i) - autocon * dt_micro * flag
-                   nr(k,j,i) = nr(k,j,i) + autocon / x0 * hyrho(k) * dt_micro  &
-                                                              * flag
-                   IF ( microphysics_morrison ) THEN
-                      nc(k,j,i) = nc(k,j,i) - MIN( nc(k,j,i), 2.0_wp *         &
-                                    autocon / x0 * hyrho(k) * dt_micro * flag )
+                   nr(k,j,i) = nr(k,j,i) + autocon / x0 * hyrho(k) * dt_micro * flag
+                   IF ( microphysics_morrison )  THEN
+                      nc(k,j,i) = nc(k,j,i) - MIN( nc(k,j,i), 2.0_wp *                             &
+                                  autocon / x0 * hyrho(k) * dt_micro * flag )
                    ENDIF
 
@@ -4906,9 +4794,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Autoconversion rate (Seifert and Beheng, 2006). Call for grid point i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE autoconversion_ij( i, j )
 
@@ -4951,9 +4839,7 @@
 !--          Intern time scale of coagulation (Seifert and Beheng, 2006):
 !--          (1.0_wp - qc(k,j,i) / ( qc(k,j,i) + qr(k,j,i) ))
-             tau_cloud = MAX( 1.0_wp - qc(k,j,i) / ( qr(k,j,i) + qc(k,j,i) ),     &
-                              0.0_wp )
-!
-!--          Universal function for autoconversion process
-!--          (Seifert and Beheng, 2006):
+             tau_cloud = MAX( 1.0_wp - qc(k,j,i) / ( qr(k,j,i) + qc(k,j,i) ), 0.0_wp )
+!
+!--          Universal function for autoconversion process (Seifert and Beheng, 2006):
              phi_au = 600.0_wp * tau_cloud**0.68_wp * ( 1.0_wp - tau_cloud**0.68_wp )**3
 !
@@ -4965,6 +4851,5 @@
              xc = hyrho(k) * qc(k,j,i) / nc_auto
 !
-!--          Parameterized turbulence effects on autoconversion (Seifert,
-!--          Nuijens and Stevens, 2010)
+!--          Parameterized turbulence effects on autoconversion (Seifert, Nuijens and Stevens, 2010)
              IF ( collision_turbulence )  THEN
 !
@@ -4979,39 +4864,34 @@
                 l_mix = ( dx * dy * dzu(k) )**( 1.0_wp / 3.0_wp )
 !
-!--             Limit dissipation rate according to Seifert, Nuijens and
-!--             Stevens (2010)
+!--             Limit dissipation rate according to Seifert, Nuijens and Stevens (2010)
                 dissipation = MIN( 0.06_wp, diss(k,j,i) )
 !
 !--             Compute Taylor-microscale Reynolds number:
-                re_lambda = 6.0_wp / 11.0_wp *                                 &
-                            ( l_mix / c_const )**( 2.0_wp / 3.0_wp ) *         &
-                            SQRT( 15.0_wp / kin_vis_air ) *                    &
-                            dissipation**( 1.0_wp / 6.0_wp )
-!
-!--             The factor of 1.0E4 is needed to convert the dissipation rate
-!--             from m2 s-3 to cm2 s-3.
-                k_au = k_au * ( 1.0_wp +                                       &
-                                dissipation * 1.0E4_wp *                       &
-                                ( re_lambda * 1.0E-3_wp )**0.25_wp *           &
-                                ( alpha_cc * EXP( -1.0_wp * ( ( rc - r_cc ) /  &
-                                                  sigma_cc )**2                &
-                                                ) + beta_cc                    &
-                                )                                              &
+                re_lambda = 6.0_wp / 11.0_wp * ( l_mix / c_const )**( 2.0_wp / 3.0_wp ) *          &
+                            SQRT( 15.0_wp / kin_vis_air ) * dissipation**( 1.0_wp / 6.0_wp )
+!
+!--             The factor of 1.0E4 is needed to convert the dissipation rate from m2 s-3 to
+!--             cm2 s-3.
+                k_au = k_au * ( 1.0_wp +                                                           &
+                                dissipation * 1.0E4_wp *                                           &
+                                ( re_lambda * 1.0E-3_wp )**0.25_wp *                               &
+                                ( alpha_cc * EXP( -1.0_wp * ( ( rc - r_cc ) /                      &
+                                                  sigma_cc )**2                                    &
+                                                ) + beta_cc                                        &
+                                )                                                                  &
                               )
              ENDIF
 !
 !--          Autoconversion rate (Seifert and Beheng, 2006):
-             autocon = k_au * ( nu_c + 2.0_wp ) * ( nu_c + 4.0_wp ) /          &
-                       ( nu_c + 1.0_wp )**2 * qc(k,j,i)**2 * xc**2 *           &
-                       ( 1.0_wp + phi_au / ( 1.0_wp - tau_cloud )**2 ) *       &
-                       rho_surface
+             autocon = k_au * ( nu_c + 2.0_wp ) * ( nu_c + 4.0_wp )    /                           &
+                       ( nu_c + 1.0_wp )**2 * qc(k,j,i)**2 * xc**2     *                           &
+                       ( 1.0_wp + phi_au / ( 1.0_wp - tau_cloud )**2 ) * rho_surface
              autocon = MIN( autocon, qc(k,j,i) / dt_micro )
-
              qr(k,j,i) = qr(k,j,i) + autocon * dt_micro                 * flag
              qc(k,j,i) = qc(k,j,i) - autocon * dt_micro                 * flag
              nr(k,j,i) = nr(k,j,i) + autocon / x0 * hyrho(k) * dt_micro * flag
-             IF ( microphysics_morrison ) THEN
-                nc(k,j,i) = nc(k,j,i) - MIN( nc(k,j,i), 2.0_wp *                &
-                                    autocon / x0 * hyrho(k) * dt_micro * flag )
+             IF ( microphysics_morrison )  THEN
+                nc(k,j,i) = nc(k,j,i) - MIN( nc(k,j,i), 2.0_wp *                                   &
+                            autocon / x0 * hyrho(k) * dt_micro * flag )
              ENDIF
 
@@ -5023,9 +4903,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Autoconversion process (Kessler, 1969).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE autoconversion_kessler
 
@@ -5059,6 +4939,6 @@
                 qc(k,j,i) = qc(k,j,i) - dqdt_precip * dt_micro * flag
                 q(k,j,i)  = q(k,j,i)  - dqdt_precip * dt_micro * flag
-                pt(k,j,i) = pt(k,j,i) + dqdt_precip * dt_micro * lv_d_cp *     &
-                                        d_exner(k)              * flag
+                pt(k,j,i) = pt(k,j,i) + dqdt_precip * dt_micro * lv_d_cp *                         &
+                                        d_exner(k)             * flag
 
 !
@@ -5072,9 +4952,9 @@
    END SUBROUTINE autoconversion_kessler
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Autoconversion process (Kessler, 1969).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE autoconversion_kessler_ij( i, j )
 
@@ -5087,5 +4967,5 @@
        INTEGER(iwp) ::  k_wall !< topography top index
 
-       REAL(wp)    ::  dqdt_precip !<
+       REAL(wp)    ::  dqdt_precip       !<
        REAL(wp)    ::  flag              !< flag to indicate first grid level above surface
 
@@ -5106,6 +4986,5 @@
           qc(k,j,i) = qc(k,j,i) - dqdt_precip * dt_micro * flag
           q(k,j,i)  = q(k,j,i)  - dqdt_precip * dt_micro * flag
-          pt(k,j,i) = pt(k,j,i) + dqdt_precip * dt_micro * lv_d_cp * d_exner(k)  &
-                                                                 * flag
+          pt(k,j,i) = pt(k,j,i) + dqdt_precip * dt_micro * lv_d_cp * d_exner(k) * flag
 
 !
@@ -5118,9 +4997,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Accretion rate (Seifert and Beheng, 2006).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE accretion
 
@@ -5149,5 +5028,5 @@
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-                IF ( microphysics_morrison ) THEN
+                IF ( microphysics_morrison )  THEN
                    nc_accr = nc(k,j,i)
                 ELSE
@@ -5155,6 +5034,6 @@
                 ENDIF
 
-                IF ( ( qc(k,j,i) > eps_sb )  .AND.  ( qr(k,j,i) > eps_sb )    &
-                                             .AND.  ( nc_accr > eps_mr ) ) THEN
+                IF ( ( qc(k,j,i) > eps_sb )  .AND.  ( qr(k,j,i) > eps_sb )                         &
+                                             .AND.  ( nc_accr > eps_mr   ) )  THEN
 !
 !--                Intern time scale of coagulation (Seifert and Beheng, 2006):
@@ -5169,11 +5048,10 @@
                    xc = MAX( (hyrho(k) * qc(k,j,i) / nc_accr), xcmin)
 !
-!--                Parameterized turbulence effects on autoconversion (Seifert,
-!--                Nuijens and Stevens, 2010). The factor of 1.0E4 is needed to
-!--                convert the dissipation rate (diss) from m2 s-3 to cm2 s-3.
+!--                Parameterized turbulence effects on autoconversion
+!--                (Seifert, Nuijens and Stevens, 2010). The factor of 1.0E4 is needed to convert
+!--                the dissipation rate (diss) from m2 s-3 to cm2 s-3.
                    IF ( collision_turbulence )  THEN
-                      k_cr = k_cr0 * ( 1.0_wp + 0.05_wp *                      &
-                                       MIN( 600.0_wp,                          &
-                                            diss(k,j,i) * 1.0E4_wp )**0.25_wp  &
+                      k_cr = k_cr0 * ( 1.0_wp + 0.05_wp *                                          &
+                                       MIN( 600.0_wp, diss(k,j,i) * 1.0E4_wp )**0.25_wp            &
                                      )
                    ELSE
@@ -5182,13 +5060,11 @@
 !
 !--                Accretion rate (Seifert and Beheng, 2006):
-                   accr = k_cr * qc(k,j,i) * qr(k,j,i) * phi_ac *              &
-                          SQRT( rho_surface * hyrho(k) )
+                   accr = k_cr * qc(k,j,i) * qr(k,j,i) * phi_ac * SQRT( rho_surface * hyrho(k) )
                    accr = MIN( accr, qc(k,j,i) / dt_micro )
-
                    qr(k,j,i) = qr(k,j,i) + accr * dt_micro * flag
                    qc(k,j,i) = qc(k,j,i) - accr * dt_micro * flag
                    IF ( microphysics_morrison )  THEN
-                      nc(k,j,i) = nc(k,j,i) - MIN( nc(k,j,i),                  &
-                                         accr / xc * hyrho(k) * dt_micro * flag)
+                      nc(k,j,i) = nc(k,j,i) - MIN( nc(k,j,i),                                      &
+                                                   accr / xc * hyrho(k) * dt_micro * flag)
                    ENDIF
 
@@ -5203,9 +5079,9 @@
     END SUBROUTINE accretion
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Accretion rate (Seifert and Beheng, 2006). Call for grid point i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE accretion_ij( i, j )
 
@@ -5229,5 +5105,5 @@
 !--       Predetermine flag to mask topography
           flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
-          IF ( microphysics_morrison ) THEN
+          IF ( microphysics_morrison )  THEN
              nc_accr = nc(k,j,i)
           ELSE
@@ -5235,12 +5111,11 @@
           ENDIF
 
-          IF ( ( qc(k,j,i) > eps_sb )  .AND.  ( qr(k,j,i) > eps_sb )  .AND.    &
-               ( nc_accr > eps_mr ) )  THEN
+          IF ( ( qc(k,j,i) > eps_sb )  .AND.  ( qr(k,j,i) > eps_sb )  .AND.                        &
+               ( nc_accr > eps_mr   ) )  THEN
 !
 !--          Intern time scale of coagulation (Seifert and Beheng, 2006):
              tau_cloud = 1.0_wp - qc(k,j,i) / ( qc(k,j,i) + qr(k,j,i) )
 !
-!--          Universal function for accretion process
-!--          (Seifert and Beheng, 2001):
+!--          Universal function for accretion process (Seifert and Beheng, 2001):
              phi_ac = ( tau_cloud / ( tau_cloud + 5.0E-5_wp ) )**4
 
@@ -5249,11 +5124,10 @@
              xc = MAX( (hyrho(k) * qc(k,j,i) / nc_accr), xcmin)
 !
-!--          Parameterized turbulence effects on autoconversion (Seifert,
-!--          Nuijens and Stevens, 2010). The factor of 1.0E4 is needed to
-!--          convert the dissipation rate (diss) from m2 s-3 to cm2 s-3.
+!--          Parameterized turbulence effects on autoconversion
+!--          (Seifert, Nuijens and Stevens, 2010). The factor of 1.0E4 is needed to convert the
+!--          dissipation rate (diss) from m2 s-3 to cm2 s-3.
              IF ( collision_turbulence )  THEN
-                k_cr = k_cr0 * ( 1.0_wp + 0.05_wp *                            &
-                                 MIN( 600.0_wp,                                &
-                                      diss(k,j,i) * 1.0E4_wp )**0.25_wp        &
+                k_cr = k_cr0 * ( 1.0_wp + 0.05_wp *                                                &
+                                 MIN( 600.0_wp, diss(k,j,i) * 1.0E4_wp )**0.25_wp                  &
                                )
              ELSE
@@ -5262,14 +5136,10 @@
 !
 !--          Accretion rate (Seifert and Beheng, 2006):
-             accr = k_cr * qc(k,j,i) * qr(k,j,i) * phi_ac *                    &
-                    SQRT( rho_surface * hyrho(k) )
+             accr = k_cr * qc(k,j,i) * qr(k,j,i) * phi_ac * SQRT( rho_surface * hyrho(k) )
              accr = MIN( accr, qc(k,j,i) / dt_micro )
-
              qr(k,j,i) = qr(k,j,i) + accr * dt_micro * flag
              qc(k,j,i) = qc(k,j,i) - accr * dt_micro * flag
              IF ( microphysics_morrison )  THEN
-                nc(k,j,i) = nc(k,j,i) - MIN( nc(k,j,i), accr / xc *            &
-                                             hyrho(k) * dt_micro * flag        &
-                                         )
+                nc(k,j,i) = nc(k,j,i) - MIN( nc(k,j,i), accr / xc * hyrho(k) * dt_micro * flag )
              ENDIF
 
@@ -5282,9 +5152,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Collisional breakup rate (Seifert, 2008).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE selfcollection_breakup
 
@@ -5313,10 +5183,8 @@
 !
 !--                Selfcollection rate (Seifert and Beheng, 2001):
-                   selfcoll = k_rr * nr(k,j,i) * qr(k,j,i) *                   &
-                              SQRT( hyrho(k) * rho_surface )
+                   selfcoll = k_rr * nr(k,j,i) * qr(k,j,i) * SQRT( hyrho(k) * rho_surface )
 !
 !--                Weight averaged diameter of rain drops:
-                   dr = ( hyrho(k) * qr(k,j,i) /                               &
-                          nr(k,j,i) * dpirho_l )**( 1.0_wp / 3.0_wp )
+                   dr = ( hyrho(k) * qr(k,j,i) / nr(k,j,i) * dpirho_l )**( 1.0_wp / 3.0_wp )
 !
 !--                Collisional breakup rate (Seifert, 2008):
@@ -5341,9 +5209,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Collisional breakup rate (Seifert, 2008). Call for grid point i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE selfcollection_breakup_ij( i, j )
 
@@ -5390,10 +5258,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Evaporation of precipitable water. Condensation is neglected for
-!> precipitable water.
-!------------------------------------------------------------------------------!
+!> Evaporation of precipitable water. Condensation is neglected for precipitable water.
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE evaporation_rain
 
@@ -5430,5 +5297,5 @@
 
 !
-!--                Call calculation of supersaturation  
+!--                Call calculation of supersaturation
                    CALL supersaturation ( i, j, k )
 !
@@ -5439,7 +5306,7 @@
                       temp = t_l + lv_d_cp * ( qc(k,j,i) + qr(k,j,i) )
 
-                      g_evap = 1.0_wp / ( ( l_v / ( r_v * temp ) - 1.0_wp ) *     &
-                                          l_v / ( thermal_conductivity_l * temp ) &
-                                          + r_v * temp / ( diff_coeff_l * e_s )   &
+                      g_evap = 1.0_wp / ( ( l_v / ( r_v * temp ) - 1.0_wp ) *                      &
+                                            l_v / ( thermal_conductivity_l  * temp )               &
+                                          + r_v * temp / ( diff_coeff_l * e_s )                    &
                                         )
 !
@@ -5456,10 +5323,8 @@
 !--                      Shape parameter of gamma distribution (Milbrandt and Yau,
 !--                      2005; Stevens and Seifert, 2008):
-                         mu_r = 10.0_wp * ( 1.0_wp + TANH( 1.2E3_wp *          &
-                                                          ( dr - 1.4E-3_wp ) ) )
+                         mu_r = 10.0_wp * ( 1.0_wp + TANH( 1.2E3_wp * ( dr - 1.4E-3_wp ) ) )
 !
 !--                      Slope parameter of gamma distribution (Seifert, 2008):
-                         lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) *  &
-                                      ( mu_r + 1.0_wp )                        &
+                         lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) * ( mu_r + 1.0_wp )    &
                                     )**( 1.0_wp / 3.0_wp ) / dr
 
@@ -5467,21 +5332,17 @@
                          mu_r_5d2 = mu_r + 2.5_wp
 
-                         f_vent = a_vent * gamm( mu_r_2 ) *                     &
-                                  lambda_r**( -mu_r_2 ) + b_vent *              &
-                                  schmidt_p_1d3 * SQRT( a_term / kin_vis_air ) *&
-                                  gamm( mu_r_5d2 ) * lambda_r**( -mu_r_5d2 ) *  &
-                                  ( 1.0_wp -                                    &
-                                    0.5_wp * ( b_term / a_term ) *              &
-                                    ( lambda_r / ( c_term + lambda_r )          &
-                                    )**mu_r_5d2 -                               &
-                                    0.125_wp * ( b_term / a_term )**2 *         &
-                                    ( lambda_r / ( 2.0_wp * c_term + lambda_r ) &
-                                    )**mu_r_5d2 -                               &
-                                    0.0625_wp * ( b_term / a_term )**3 *        &
-                                    ( lambda_r / ( 3.0_wp * c_term + lambda_r ) &
-                                    )**mu_r_5d2 -                               &
-                                    0.0390625_wp * ( b_term / a_term )**4 *     &
-                                    ( lambda_r / ( 4.0_wp * c_term + lambda_r ) &
-                                    )**mu_r_5d2                                 &
+                         f_vent = a_vent * gamm( mu_r_2 ) *                                        &
+                                  lambda_r**( -mu_r_2 ) + b_vent *                                 &
+                                  schmidt_p_1d3 * SQRT( a_term / kin_vis_air ) *                   &
+                                  gamm( mu_r_5d2 ) * lambda_r**( -mu_r_5d2 ) *                     &
+                                  ( 1.0_wp -                                                       &
+                                    0.5_wp       * ( b_term / a_term ) *                           &
+                                    ( lambda_r / ( c_term + lambda_r ) )**mu_r_5d2          -      &
+                                    0.125_wp     * ( b_term / a_term )**2 *                        &
+                                    ( lambda_r / ( 2.0_wp * c_term + lambda_r ) )**mu_r_5d2 -      &
+                                    0.0625_wp    * ( b_term / a_term )**3 *                        &
+                                    ( lambda_r / ( 3.0_wp * c_term + lambda_r ) )**mu_r_5d2 -      &
+                                    0.0390625_wp * ( b_term / a_term )**4 *                        &
+                                    ( lambda_r / ( 4.0_wp * c_term + lambda_r ) )**mu_r_5d2        &
                                   )
 
@@ -5492,13 +5353,9 @@
                          nr_0   = nr(k,j,i) * dr
                       ENDIF
-   !
-   !--                Evaporation rate of rain water content (Seifert and
-   !--                Beheng, 2006):
-                      evap    = 2.0_wp * pi * nr_0 * g_evap * f_vent * sat /   &
-                                hyrho(k)
+!
+!--                   Evaporation rate of rain water content (Seifert and Beheng, 2006):
+                      evap    = 2.0_wp * pi * nr_0 * g_evap * f_vent * sat / hyrho(k)
                       evap    = MAX( evap, -qr(k,j,i) / dt_micro )
-                      evap_nr = MAX( c_evap * evap / xr * hyrho(k),            &
-                                     -nr(k,j,i) / dt_micro )
-
+                      evap_nr = MAX( c_evap * evap / xr * hyrho(k), - nr(k,j,i) / dt_micro )
                       qr(k,j,i) = qr(k,j,i) + evap    * dt_micro * flag
                       nr(k,j,i) = nr(k,j,i) + evap_nr * dt_micro * flag
@@ -5516,10 +5373,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Evaporation of precipitable water. Condensation is neglected for
-!> precipitable water. Call for grid point i,j
-!------------------------------------------------------------------------------!
+!> Evaporation of precipitable water. Condensation is neglected for precipitable water. Call for
+!> grid point i,j
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE evaporation_rain_ij( i, j )
 
@@ -5560,7 +5417,7 @@
                 temp = t_l + lv_d_cp * ( qc(k,j,i) + qr(k,j,i) )
 
-                g_evap = 1.0_wp / ( ( l_v / ( r_v * temp ) - 1.0_wp ) * l_v /  &
-                                    ( thermal_conductivity_l * temp ) +        &
-                                    r_v * temp / ( diff_coeff_l * e_s )        &
+                g_evap = 1.0_wp / ( ( l_v / ( r_v * temp ) - 1.0_wp ) *                            &
+                                      l_v / ( thermal_conductivity_l  * temp )                     &
+                                    + r_v * temp / ( diff_coeff_l * e_s )                          &
                                   )
 !
@@ -5580,6 +5437,5 @@
 !
 !--                Slope parameter of gamma distribution (Seifert, 2008):
-                   lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) *        &
-                                ( mu_r + 1.0_wp )                              &
+                   lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) * ( mu_r + 1.0_wp )          &
                               )**( 1.0_wp / 3.0_wp ) / dr
 
